<?php

	class JobURL {
		public static function renderJobAttachmentURL( $job_attachment_id , $p = array() , $lang = "" ) {
			if (empty( $lang )) $lang = $GLOBALS["language"];
			switch ($lang) {
			default:
			case "hu": return FNTH_render_url( $GLOBALS["site_www"] . "/munkaajanlat-csatolmany/" . $job_attachment_id . "/" , $p );
			case "en": return FNTH_render_url( $GLOBALS["site_www"] . "/job-attachment/".$job_attachment_id."/" , $p );
			}
		}
		
		public static function renderJobQuoteAttachmentURL( $job_quote_attachment_id , $p = array() , $lang = "" ) {
			if (empty( $lang )) $lang = $GLOBALS["language"];
			switch ($lang) {
			default:
			case "hu": return FNTH_render_url( $GLOBALS["site_www"] . "/munkara-tett-ajanlat-csatolmany/" . $job_quote_attachment_id . "/" , $p );
			case "en": return FNTH_render_url( $GLOBALS["site_www"] . "/job-quote-attachment/".$job_quote_attachment_id."/" , $p );
			}
		}
		
		
		public static function renderJobQuoteURL( $job_id , $p = array() , $lang = "" ) {
			if (empty( $lang )) $lang = $GLOBALS["language"];
			switch ($lang) {
			default:
			case "hu": return FNTH_render_url( $GLOBALS["site_www"] . "/ajanlattetel/" . $job_id . "/" , $p );
			case "en": return FNTH_render_url( $GLOBALS["site_www"] . "/job-quote/".$job_id."/" , $p );
			}
		}

		public static function renderQuotesOfJobURL( $job_id , $p = array() , $lang = "" ) {
			if (empty( $lang )) $lang = $GLOBALS["language"];
			switch ($lang) {
			default:
			case "hu": return FNTH_render_url( $GLOBALS["site_www"] . "/munkara-tett-ajanlatok/" . $job_id . "/" , $p );
			case "en": return FNTH_render_url( $GLOBALS["site_www"] . "/quotes-of-job/".$job_id."/" , $p );
			}
		}
		
		public static function renderQuoteOfJobURL( $job_quote_id , $p = array() , $lang = "" ) {
			if (empty( $lang )) $lang = $GLOBALS["language"];
			switch ($lang) {
			default:
			case "hu": return FNTH_render_url( $GLOBALS["site_www"] . "/munkara-tett-ajanlat/" . $job_quote_id . "/" , $p );
			case "en": return FNTH_render_url( $GLOBALS["site_www"] . "/quote-of-job/".$job_quote_id."/" , $p );
			}
		}


		public static function renderJobQuotePreviewURL( $job_id , $p = array() , $lang = "" ) {
			if (empty( $lang )) $lang = $GLOBALS["language"];
			switch ($lang) {
			default:
			case "hu": return FNTH_render_url( $GLOBALS["site_www"] . "/ajanlattetel-elkuld/" . $job_id . "/" , $p );
			case "en": return FNTH_render_url( $GLOBALS["site_www"] . "/job-quote-preview/".$job_id."/" , $p );
			}
		}
	}
?>
